Announcement

Collapse
No announcement yet.

4DPi-35 Rev 1.2 + PI4 (buster)

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • Juniel Cruz
    replied
    Good day!

    I would suggest you start from a lower kernel version for Raspberry Pi OS before installing our kernel package.

    I don't recommend installing the latest release and downgrading its kernel.

    Have you tried using this Raspbian OS release?

    I hope this helps.

    Best Regards

    Leave a comment:


  • steryo
    replied
    Originally posted by steryo View Post

    There is no datasheet for rev 1.2 old hardware 4DPI-35. Used 5.4 kernel to work it with latest Raspbian OS which I believe is in 5.4 kernel too but it doesn't boot properly, display does not work or kernel error/rainbow colored screen on hdmi. My device is RPi 1 Model B rev2

    edit: kernel was 5.10.11+ on my device so I need a 5.10 update for the 4DPI-35 too
    after I downgraded my kernel to 5.4.68, tried installing 5.4.68 kernel for 4DPI and got this error after this line;
    Code:
    ./lib/modules/5.4.68-v7l_4DPi+/modules.symbols
    tar: Exiting with failure status due to previous errors
    I can't even reboot the system after that, No such file or directory prompt is all I get. I plug off the power and resupply it again and it won't boot again after this. No working init found it says and stays in the boot screen. Can't access from SSH neither.
    Last edited by steryo; 26 February 2021, 01:48 AM.

    Leave a comment:


  • steryo
    replied
    Originally posted by Juniel Cruz View Post
    Good day!

    You can find the installation procedure in the datasheet. Datasheets can be accessed from the downloads section of each product page.

    The installation includes extraction of 4DPi kernel package. Please ensure that you are using the latest kernel package and a matching Raspbian OS for best compatibility. The latest kernel package can also be found in the downloads section.

    I hope this helps.
    There is no datasheet for rev 1.2 old hardware 4DPI-35. Used 5.4 kernel to work it with latest Raspbian OS which I believe is in 5.4 kernel too but it doesn't boot properly, display does not work or kernel error/rainbow colored screen on hdmi. My device is RPi 1 Model B rev2

    edit: kernel was 5.10.11+ on my device so I need a 5.10 update for the 4DPI-35 too
    Last edited by steryo; 26 February 2021, 12:50 AM.

    Leave a comment:


  • Juniel Cruz
    replied
    Good day!

    You can find the installation procedure in the datasheet. Datasheets can be accessed from the downloads section of each product page.

    The installation includes extraction of 4DPi kernel package. Please ensure that you are using the latest kernel package and a matching Raspbian OS for best compatibility. The latest kernel package can also be found in the downloads section.

    I hope this helps.

    Leave a comment:


  • SFR75
    replied
    Originally posted by Juniel Cruz View Post
    Good day,

    Yes. 4DPI-35 works with Raspberry Pi 4.

    Since it is an older revision of the product. It might require you to force load the drivers during boot which is installed by extracting the kernel package.

    Newer versions of the board are now automatically getting detected to know which driver settings to use.

    Best Regards

    Cool! thanks! Is there any todo guide by any chance available somewher e?

    Leave a comment:


  • Juniel Cruz
    replied
    Good day,

    Yes. 4DPI-35 works with Raspberry Pi 4.

    Since it is an older revision of the product. It might require you to force load the drivers during boot which is installed by extracting the kernel package.

    Newer versions of the board are now automatically getting detected to know which driver settings to use.

    Best Regards

    Leave a comment:


  • SFR75
    started a topic 4DPi-35 Rev 1.2 + PI4 (buster)

    4DPi-35 Rev 1.2 + PI4 (buster)

    Hello,

    I have the 4DPI-35 primary raspberry screen.
    Is there a chance it works with buster/PI4 ?

    Thanks
    M


Working...
X